ASTAndNode (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.parser.node.ASTAndNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class ASTAndNode

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SimpleNode
          org.apache.velocity.runtime.parser.node.ASTAndNode

All Implemented Interfaces:
  Node, Renderable

public class ASTAndNode
extends SimpleNode

Please look at the Parser.jjt file which is what controls the generation of this class.

Version:
  $Id: ASTAndNode.java 687184 2008-08-19 22:16:39Z nbubna $
Author:
  Jason van Zyl, Geir Magnusson Jr.

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`children, first, id, info, invalid, last, log, parent, parser, rsvc, state, templateName`

Constructor Summary
`ASTAndNode(int id)`
`ASTAndNode(Parser p, int id)`

Method Summary
`boolean` | `evaluate(InternalContextAdapter context)` logical and : null && right = false left && null = false null && null = false
`Object` | `jjtAccept(ParserVisitor visitor, Object data)`
`Object` | `value(InternalContextAdapter context)` Returns the value of the expression.

Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`childrenAccept, dump, execute, getColumn, getFirstToken, getInfo, getLastToken, getLine, getLocation, getRuntimeServices, getTemplateName, getType, init, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, render, setFirstToken, setInfo, setInvalid, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTAndNode

    public ASTAndNode(int id)

Parameters:
  `id` -

### ASTAndNode

    public ASTAndNode(Parser p,
                      int id)

Parameters:
  `p` -
  `id` -

Method Detail

### jjtAccept

    public Object jjtAccept(ParserVisitor visitor,
                            Object data)

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`
  See Also:
    `SimpleNode.jjtAccept(org.apache.velocity.runtime.parser.node.ParserVisitor, java.lang.Object)`

### value

    public Object value(InternalContextAdapter context)
                 throws MethodInvocationException

  Returns the value of the expression. Since the value of the expression is simply the boolean result of evaluate(), lets return that.

  Specified by:
    `value` in interface `Node`
  Overrides:
    `value` in class `SimpleNode`
  Parameters:
    `context` -
  Returns:
    The value of the expression.
  Throws:
    `MethodInvocationException`
  See Also:
    `Node.value(org.apache.velocity.context.InternalContextAdapter)`

### evaluate

    public boolean evaluate(InternalContextAdapter context)
                     throws MethodInvocationException

  logical and : null && right = false left && null = false null && null = false

  Specified by:
    `evaluate` in interface `Node`
  Overrides:
    `evaluate` in class `SimpleNode`
  Parameters:
    `context` -
  Returns:
    True if both sides are true.
  Throws:
    `MethodInvocationException`
  See Also:
    `Node.evaluate(org.apache.velocity.context.InternalContextAdapter)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.